Loading...
Searching...
No Matches
Exiv2::Internal::TiffTreeStruct Struct Reference

Data structure used as a row of the table which describes TIFF trees. Multiple trees are needed as TIFF-based RAW image formats do not always use standard TIFF layout. More...

`#include <tiffimage_int.hpp>`

## Classes

struct | Key
| Search key for TIFF tree structure. More...

## Public Member Functions

bool | operator== (const Key &key) const
| Comparison operator to compare a TiffTreeStruct with a TiffTreeStruct::Key.

## Public Attributes

uint32_t | root_
| Tree root element, identifies a tree.
IfdId | group_
| Each group is a node in the tree.
IfdId | parentGroup_
| Parent group.
uint32_t | parentExtTag_
| Parent tag (32 bit so that it can contain special tags)

## Detailed Description

Data structure used as a row of the table which describes TIFF trees. Multiple trees are needed as TIFF-based RAW image formats do not always use standard TIFF layout.

The documentation for this struct was generated from the following files:

- tiffimage_int.hpp
- tiffimage_int.cpp